VERSION 5.00
Begin VB.Form AsymCryptBufferTest 
   Caption         =   "Asymmetric Encryption (Buffer)"
   ClientHeight    =   2868
   ClientLeft      =   60
   ClientTop       =   348
   ClientWidth     =   5928
   LinkTopic       =   "Form1"
   ScaleHeight     =   2868
   ScaleWidth      =   5928
   StartUpPosition =   2  'CenterScreen
   Begin VB.Frame Frame5 
      Caption         =   "Index"
      Height          =   615
      Left            =   4440
      TabIndex        =   13
      Top             =   720
      Width           =   1215
      Begin VB.TextBox txt_Index 
         Height          =   285
         Left            =   240
         TabIndex        =   14
         Text            =   "1"
         Top             =   240
         Width           =   615
      End
   End
   Begin VB.Frame Frame4 
      Caption         =   "E-mail"
      Height          =   615
      Left            =   0
      TabIndex        =   11
      Top             =   720
      Width           =   3015
      Begin VB.TextBox txt_Email 
         Height          =   285
         Left            =   120
         TabIndex        =   12
         Text            =   "user@domain.web"
         Top             =   240
         Width           =   2775
      End
   End
   Begin VB.Frame Frame2 
      Caption         =   "Input Buffer"
      Height          =   615
      Left            =   0
      TabIndex        =   9
      Top             =   1440
      Width           =   3735
      Begin VB.TextBox txt_Input 
         Height          =   285
         Left            =   120
         TabIndex        =   10
         Text            =   "0123456789012345"
         Top             =   240
         Width           =   3495
      End
   End
   Begin VB.Frame Frame3 
      Caption         =   "Output Buffer"
      Height          =   615
      Left            =   0
      TabIndex        =   7
      Top             =   2160
      Width           =   3735
      Begin VB.TextBox txt_Output 
         Height          =   285
         Left            =   120
         TabIndex        =   8
         Top             =   240
         Width           =   3495
      End
   End
   Begin VB.CommandButton bt_Crypt 
      Caption         =   "Cipher / Decipher"
      Height          =   375
      Left            =   3960
      TabIndex        =   6
      Top             =   1560
      Width           =   1575
   End
   Begin VB.CommandButton bt_Close 
      Caption         =   "Close"
      Height          =   375
      Left            =   3960
      TabIndex        =   5
      Top             =   2400
      Width           =   1575
   End
   Begin VB.Frame Frame1 
      Caption         =   "Passphrase"
      Height          =   615
      Left            =   0
      TabIndex        =   2
      Top             =   0
      Width           =   5655
      Begin VB.CheckBox chk_PassphraseEcho 
         Caption         =   "Echo Off"
         Height          =   315
         Left            =   3960
         TabIndex        =   4
         Top             =   240
         Value           =   1  'Checked
         Width           =   1575
      End
      Begin VB.TextBox txt_Passphrase 
         Height          =   285
         IMEMode         =   3  'DISABLE
         Left            =   120
         PasswordChar    =   "*"
         TabIndex        =   3
         Text            =   "notre passphrase"
         Top             =   240
         Width           =   3495
      End
   End
   Begin VB.Frame fr_Algo 
      Caption         =   "Algorithm"
      Height          =   615
      Left            =   3120
      MousePointer    =   12  'No Drop
      TabIndex        =   0
      Top             =   720
      Width           =   1215
      Begin VB.OptionButton op_Algo 
         Caption         =   "RSA"
         Height          =   255
         Index           =   0
         Left            =   120
         TabIndex        =   1
         Top             =   240
         Value           =   -1  'True
         Width           =   735
      End
   End
End
Attribute VB_Name = "AsymCryptBufferTest"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Private Sub bt_Close_Click()

    Unload Me

End Sub

'   24/05/04 12:20 NDP - new DLL with VARIANTS

Private Sub bt_Crypt_Click()

    Dim Cipher  As New CryptoAsym
    Dim Converter As New Convert
    
    Dim sKeyFile   As String
    Dim sAlgorithm As String
    Dim Try        As Variant

    Me.MousePointer = 11
        
    Dim Buffer As Variant
    Dim encryptedBuffer As Variant
    Dim decryptedBuffer As Variant
    
    Buffer = Converter.stringToBytes(txt_Input.Text)
    
    '
    'encrypt
    '
    sKeyFile = txt_Email.Text & "_" & txt_Index.Text & "_" & "RSA"
    
    encryptedBuffer = Cipher.encryptBuffer(sKeyFile, Buffer)

    If Cipher.isOperationOK Then
        MsgBox "Encrypt OK"
    Else
        MsgBox Cipher.getRawError
        Me.MousePointer = 0
        Exit Sub
    End If
    
    '
    'decrypt
    '
    Buffer = Cipher.decryptBuffer(sKeyFile, _
                                    txt_Passphrase.Text, _
                                    encryptedBuffer)
        
    If Cipher.isOperationOK Then
        MsgBox "Decrypt OK"
    Else
        MsgBox Cipher.getRawError
        Me.MousePointer = 0
        Exit Sub
    End If
    
    Dim strDecryptedBuffer As String
    strDecryptedBuffer = Converter.bytesToString(Buffer)
    
    txt_Output.Text = strDecryptedBuffer

    Me.MousePointer = 0

End Sub

