VERSION 5.00
Object = "{F9043C88-F6F2-101A-A3C9-08002B2F49FB}#1.2#0"; "COMDLG32.OCX"
Begin VB.Form AsymCryptFileTest 
   BorderStyle     =   1  'Fixed Single
   Caption         =   "Asymmetric Encryption (File)"
   ClientHeight    =   3624
   ClientLeft      =   48
   ClientTop       =   336
   ClientWidth     =   5904
   Icon            =   "AsymCryptFileTest.frx":0000
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   3624
   ScaleWidth      =   5904
   StartUpPosition =   3  'Windows Default
   Begin VB.Frame Frame1 
      Caption         =   "Passphrase"
      Height          =   615
      Left            =   120
      TabIndex        =   11
      Top             =   0
      Width           =   5655
      Begin VB.TextBox txt_Passphrase 
         Height          =   285
         IMEMode         =   3  'DISABLE
         Left            =   120
         PasswordChar    =   "*"
         TabIndex        =   13
         Text            =   "notre passphrase"
         Top             =   240
         Width           =   3495
      End
      Begin VB.CheckBox chk_PassphraseEcho 
         Caption         =   "Echo Off"
         Height          =   315
         Left            =   3960
         TabIndex        =   12
         Top             =   240
         Value           =   1  'Checked
         Width           =   1575
      End
   End
   Begin VB.Frame Frame2 
      Caption         =   "Input File"
      Height          =   615
      Left            =   120
      TabIndex        =   9
      Top             =   1440
      Width           =   5655
      Begin VB.TextBox txt_FilePath 
         Height          =   285
         Left            =   120
         TabIndex        =   14
         Text            =   "C:\safelogic\safeapi\examples\test"
         Top             =   240
         Width           =   4215
      End
      Begin VB.CommandButton bt_Browse 
         Caption         =   "Get it!"
         Height          =   285
         Left            =   4440
         TabIndex        =   10
         Top             =   240
         Width           =   975
      End
   End
   Begin VB.CommandButton bt_Crypt 
      Caption         =   "Go!"
      Height          =   375
      Left            =   2640
      TabIndex        =   8
      Top             =   3000
      Width           =   1335
   End
   Begin VB.Frame Frame3 
      Caption         =   "Mode"
      Height          =   615
      Left            =   120
      TabIndex        =   5
      Top             =   2880
      Width           =   2295
      Begin VB.OptionButton op_CryptMode 
         Caption         =   "&Cipher"
         Height          =   255
         Index           =   0
         Left            =   120
         TabIndex        =   7
         Tag             =   "encrypt"
         Top             =   240
         Value           =   -1  'True
         Width           =   975
      End
      Begin VB.OptionButton op_CryptMode 
         Caption         =   "&Decipher"
         Height          =   255
         Index           =   1
         Left            =   1080
         TabIndex        =   6
         Tag             =   "decrypt"
         Top             =   240
         Width           =   1100
      End
   End
   Begin VB.CommandButton bt_Close 
      Caption         =   "Close"
      Height          =   375
      Left            =   4320
      TabIndex        =   4
      Top             =   3000
      Width           =   1335
   End
   Begin VB.Frame Frame4 
      Caption         =   "Output File"
      Height          =   615
      Left            =   120
      TabIndex        =   2
      Top             =   2160
      Width           =   5655
      Begin VB.TextBox txt_OutputFilePath 
         Height          =   285
         Left            =   120
         TabIndex        =   3
         Text            =   "C:\safelogic\safeapi\examples\test"
         Top             =   240
         Width           =   4215
      End
   End
   Begin VB.Frame Frame5 
      Caption         =   "Key ID"
      Height          =   615
      Left            =   120
      TabIndex        =   0
      Top             =   720
      Width           =   3735
      Begin VB.TextBox txt_KeyId 
         Height          =   285
         Left            =   120
         TabIndex        =   1
         Text            =   "user@domain.web_1_RSA"
         Top             =   240
         Width           =   3495
      End
   End
   Begin MSComDlg.CommonDialog CommonDialog1 
      Left            =   5400
      Top             =   840
      _ExtentX        =   847
      _ExtentY        =   847
      _Version        =   393216
   End
End
Attribute VB_Name = "AsymCryptFileTest"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Private Sub bt_Browse_Click()

    'CommonDialog1.DialogTitle = "Rechercher un fichier"

    If Len(txt_FilePath.Text) >= 3 Then
        CommonDialog1.InitDir = txt_FilePath.Text
    End If
    
    CommonDialog1.Filter = "All (*.*)|*.*|Text (*.txt)|*.txt"
    CommonDialog1.Flags = &H1000 Or &H800 Or &H4
    
    CommonDialog1.ShowOpen
    
    txt_FilePath.Text = CommonDialog1.FileName
    txt_OutputFilePath.Text = txt_FilePath.Text
    
 '   If Me.op_CryptMode(0) Then
    
 '       Me.txt_OutputFilePath.Text = txt_FilePath.Text + ".enc"
    
 '   Else
    
 '       Me.txt_OutputFilePath.Text = Left(txt_FilePath.Text, Len(txt_FilePath.Text) - 4) + ".dec"
    
 '   End If
    
    
    bt_Crypt.SetFocus

End Sub

Private Sub bt_Close_Click()

    Unload Me

End Sub

Private Sub bt_Crypt_Click()

    Dim Cipher     As New CryptoAsym
    
    Dim sMode      As String
    Dim sKeyId     As String
    Dim Try        As Variant
    Dim Converter As New Convert
    
    Me.MousePointer = 11
    
    ' Get mode choice
    For Each Try In op_CryptMode
        
        If Try.Value = True Then
            
            sMode = Try.Tag
            Exit For
            
        End If
        
    Next

    ' parameter settings
'    If Cipher.setParameter("KeyDirectory", "C:\test") Then
'        MsgBox "OK 1"
'    Else
'        MsgBox "NO 1"
'    End If
'
'    If Cipher.setParameter("DumpEnabled", "true") Then
'        MsgBox "OK 2"
'    Else
'        MsgBox "NO 2"
'    End If
'
'    If Cipher.setParameter("DumpFilePath", "C:\test\dump.wri") Then
'        MsgBox "OK 3"
'    Else
'        MsgBox "NO 3"
'    End If
'
    sKeyId = txt_KeyId.Text

    If sMode Like "encrypt" Then
        Cipher.createRecipients "Liste"
        
        If Not Cipher.addRecipient("Liste", sKeyId) Then
            MsgBox "Add Error on List."
        End If
        
        Cipher.encryptFile "Liste", _
                                txt_FilePath.Text, _
                                txt_OutputFilePath.Text
                               
                           
    Else
        'Dim BufferPassphrase As Variant
        'BufferPassphrase = Convert._StringToByte(txt_Passphrase.Text)

        Cipher.decryptFile sKeyId, _
                               txt_Passphrase.Text, _
                               txt_FilePath.Text, _
                               txt_OutputFilePath.Text
    End If
    
    If Cipher.isOperationOK Then
        MsgBox sMode & " OK! :o)"
    Else
        MsgBox Cipher.getRawError
    End If
    
    Me.MousePointer = 0

End Sub

Private Sub chk_PassphraseEcho_Click()

If chk_PassphraseEcho.Value = 1 Then
    
    txt_Passphrase.PasswordChar = "*"
    
Else

    txt_Passphrase.PasswordChar = ""

End If

End Sub



Private Sub lbl_FilePath_Change()

If Right$(lbl_FilePath.Caption, 3) Like "enc" Then

    op_CryptMode(1).Value = 1
    
Else

    op_CryptMode(0).Value = 1
    
End If

End Sub

Private Sub op_CryptMode_Click(Index As Integer)

    If op_CryptMode(1).Value = True Then
        bt_Crypt.Caption = "Decipher"
    Else
        bt_Crypt.Caption = "Cipher"
    End If


'    If Len(lbl_FilePath.Caption) = 0 Then Exit Sub
    
'    If Me.op_CryptMode(0) Then
    
'        Me.txt_OutputFilePath.Text = lbl_FilePath.Caption + ".enc"
    
'    Else
    
'        Me.txt_OutputFilePath.Text = Left(lbl_FilePath.Caption, Len(lbl_FilePath.Caption) - 4) + ".dec"

'    End If

End Sub

