VERSION 5.00
Object = "{F9043C88-F6F2-101A-A3C9-08002B2F49FB}#1.2#0"; "COMDLG32.OCX"
Begin VB.Form CryptDirTest 
   BorderStyle     =   3  'Fixed Dialog
   Caption         =   "Directory Encryption"
   ClientHeight    =   3564
   ClientLeft      =   48
   ClientTop       =   336
   ClientWidth     =   5904
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   3564
   ScaleWidth      =   5904
   ShowInTaskbar   =   0   'False
   StartUpPosition =   2  'CenterScreen
   Begin VB.Frame Frame5 
      Caption         =   "Algorithm"
      Height          =   615
      Left            =   120
      TabIndex        =   12
      Top             =   720
      Width           =   3735
      Begin VB.TextBox txt_Algorithm 
         Height          =   285
         Left            =   120
         TabIndex        =   13
         Text            =   "Blowfish"
         Top             =   240
         Width           =   3495
      End
   End
   Begin VB.Frame Frame4 
      Caption         =   "Output Directory"
      Height          =   615
      Left            =   120
      TabIndex        =   10
      Top             =   2160
      Width           =   5655
      Begin VB.TextBox txt_OutputDirPath 
         Height          =   285
         Left            =   120
         TabIndex        =   11
         Text            =   "C:\safelogic\safeapi\examples\test_2"
         Top             =   240
         Width           =   4215
      End
   End
   Begin VB.CommandButton bt_Close 
      Caption         =   "Close"
      Height          =   375
      Left            =   4320
      TabIndex        =   9
      Top             =   3000
      Width           =   1335
   End
   Begin VB.Frame Frame3 
      Caption         =   "Mode"
      Height          =   615
      Left            =   120
      TabIndex        =   6
      Top             =   2880
      Width           =   2295
      Begin VB.OptionButton op_CryptMode 
         Caption         =   "&Decipher"
         Height          =   255
         Index           =   1
         Left            =   1080
         TabIndex        =   8
         Tag             =   "decrypt"
         Top             =   240
         Width           =   1100
      End
      Begin VB.OptionButton op_CryptMode 
         Caption         =   "&Cipher"
         Height          =   255
         Index           =   0
         Left            =   120
         TabIndex        =   7
         Tag             =   "encrypt"
         Top             =   240
         Value           =   -1  'True
         Width           =   975
      End
   End
   Begin VB.CommandButton bt_Crypt 
      Caption         =   "Go!"
      Height          =   375
      Left            =   2640
      TabIndex        =   5
      Top             =   3000
      Width           =   1335
   End
   Begin VB.Frame Frame2 
      Caption         =   "Input Directory"
      Height          =   615
      Left            =   120
      TabIndex        =   3
      Top             =   1440
      Width           =   5655
      Begin VB.TextBox txt_DirPath 
         Height          =   285
         Left            =   120
         TabIndex        =   14
         Text            =   "C:\safelogic\safeapi\examples\test"
         Top             =   240
         Width           =   4215
      End
      Begin VB.CommandButton bt_Browse 
         Caption         =   "Get it!"
         Height          =   285
         Left            =   4440
         TabIndex        =   4
         Top             =   240
         Width           =   975
      End
   End
   Begin VB.Frame Frame1 
      Caption         =   "Passphrase"
      Height          =   615
      Left            =   120
      TabIndex        =   0
      Top             =   0
      Width           =   5655
      Begin VB.CheckBox chk_PassphraseEcho 
         Caption         =   "Echo Off"
         Height          =   315
         Left            =   3960
         TabIndex        =   2
         Top             =   240
         Value           =   1  'Checked
         Width           =   1575
      End
      Begin VB.TextBox txt_Passphrase 
         Height          =   285
         IMEMode         =   3  'DISABLE
         Left            =   120
         PasswordChar    =   "*"
         TabIndex        =   1
         Text            =   "notre passphrase"
         Top             =   240
         Width           =   3495
      End
   End
   Begin MSComDlg.CommonDialog CommonDialog1 
      Left            =   4800
      Top             =   720
      _ExtentX        =   847
      _ExtentY        =   847
      _Version        =   393216
   End
End
Attribute VB_Name = "CryptDirTest"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Private Sub bt_Browse_Click()

    'CommonDialog1.DialogTitle = "Rechercher un fichier"

    If Len(txt_DirPath.Text) >= 3 Then
        CommonDialog1.InitDir = txt_DirPath.Text
    End If
        
    CommonDialog1.Filter = "All (*.*)|*.*|Text (*.txt)|*.txt"
    CommonDialog1.Flags = &H1000 Or &H800 Or &H4
    
    CommonDialog1.ShowOpen
    
    txt_DirPath.Text = CommonDialog1.FileName
    txt_OutputDirPath.Text = txt_DirPath.Text
    
    bt_Crypt.SetFocus

End Sub

Private Sub bt_Close_Click()

    Unload Me

End Sub

' CHiffrement de Rpertoire
' CryptDirTest.frm
' Bouton bt_Crypt_Click()

Private Sub bt_Crypt_Click()

    Dim Cipher     As New CryptoDir
    Dim sMode      As String
    Dim sAlgorithm As String
    Dim Try        As Variant
    Dim Converter As New Convert
    
    Me.MousePointer = 11
    
    ' Get mode choice
    For Each Try In op_CryptMode
        
        If Try.Value = True Then
            
            sMode = Try.Tag
            Exit For
            
        End If
        
    Next
    
    ' Rcupration de l'algorithme ("Blowfish)
    sAlgorithm = txt_Algorithm.Text

    ' Transformation de la passphrase  partir du texte en variant
    'Dim BufferPassphrase As Variant
    'BufferPassphrase = Converter.Converter_StringToByte(txt_Passphrase.Text)

    If sMode Like "encrypt" Then
    
        ' Exemple de chiffrement de rpertoire
        Cipher.encryptDirWithPassphrase _
                            sAlgorithm, _
                            txt_Passphrase.Text, _
                            txt_DirPath.Text, _
                            txt_OutputDirPath.Text
    Else
        ' Exemple de dchiffrement de rpertoire
        Cipher.decryptDirWithPassphrase _
                           sAlgorithm, _
                           txt_Passphrase.Text, _
                           txt_DirPath.Text, _
                           txt_OutputDirPath.Text
    End If
    
    ' Vrification/contrle des erreurs ventuelles
    If Cipher.isOperationOK() Then
        MsgBox sMode & " OK! :o)"
    Else
        MsgBox Cipher.getRawError()
    End If
    
    Me.MousePointer = 0

End Sub

Private Sub chk_PassphraseEcho_Click()

If chk_PassphraseEcho.Value = 1 Then
    
    txt_Passphrase.PasswordChar = "*"
    
Else

    txt_Passphrase.PasswordChar = ""

End If

End Sub



Private Sub op_CryptMode_Click(Index As Integer)

    If op_CryptMode(1).Value = True Then
        bt_Crypt.Caption = "Decipher"
    Else
        bt_Crypt.Caption = "Cipher"
    End If

End Sub

Private Sub txt_FilePath_Change()

    txt_OutputDirPath.Text = txt_DirPath.Text

End Sub

