VERSION 5.00
Object = "{F9043C88-F6F2-101A-A3C9-08002B2F49FB}#1.2#0"; "COMDLG32.OCX"
Begin VB.Form HashFileTest 
   BorderStyle     =   3  'Fixed Dialog
   Caption         =   "File Hash"
   ClientHeight    =   2748
   ClientLeft      =   7356
   ClientTop       =   720
   ClientWidth     =   5904
   Icon            =   "HashFileTest.frx":0000
   LinkTopic       =   "Form2"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   2748
   ScaleWidth      =   5904
   ShowInTaskbar   =   0   'False
   StartUpPosition =   2  'CenterScreen
   Begin VB.CommandButton bt_Close 
      Caption         =   "Close"
      Height          =   375
      Left            =   4080
      TabIndex        =   7
      Top             =   1200
      Width           =   1335
   End
   Begin VB.Frame fr_Result 
      Caption         =   "Hex Value"
      Height          =   855
      Left            =   120
      TabIndex        =   4
      Top             =   1800
      Width           =   5655
      Begin VB.TextBox txt_Result 
         BackColor       =   &H80000013&
         Height          =   285
         Left            =   120
         TabIndex        =   8
         Top             =   360
         Width           =   5415
      End
   End
   Begin VB.CommandButton bt_Hash 
      Caption         =   "HASH !!!"
      Height          =   375
      Left            =   2400
      TabIndex        =   3
      Top             =   1200
      Width           =   1335
   End
   Begin VB.Frame fr_Algo 
      Caption         =   "Algorithm"
      Height          =   615
      Left            =   120
      TabIndex        =   2
      Top             =   1080
      Width           =   1935
      Begin VB.OptionButton op_Algo 
         Caption         =   "SHA-1"
         Height          =   255
         Index           =   1
         Left            =   960
         TabIndex        =   6
         Top             =   240
         Width           =   855
      End
      Begin VB.OptionButton op_Algo 
         Caption         =   "MD5"
         Height          =   255
         Index           =   0
         Left            =   120
         TabIndex        =   5
         Top             =   240
         Value           =   -1  'True
         Width           =   855
      End
   End
   Begin VB.Frame Frame1 
      Caption         =   "File to Hash"
      Height          =   855
      Left            =   120
      TabIndex        =   0
      Top             =   120
      Width           =   5655
      Begin VB.TextBox txt_FilePath 
         Height          =   285
         Left            =   120
         TabIndex        =   9
         Text            =   "c:\safelogic\safeapi\examples\test\abc.txt"
         Top             =   360
         Width           =   4215
      End
      Begin VB.CommandButton bt_Browse 
         Caption         =   "Get It!"
         Height          =   360
         Left            =   4440
         TabIndex        =   1
         Top             =   320
         Width           =   975
      End
   End
   Begin MSComDlg.CommonDialog CommonDialog1 
      Left            =   5280
      Top             =   1080
      _ExtentX        =   847
      _ExtentY        =   847
      _Version        =   393216
   End
End
Attribute VB_Name = "HashFileTest"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Private Sub bt_Browse_Click()
    
    'CommonDialog1.DialogTitle = "Rechercher un fichier"
    
    If Len(txt_FilePath.Text) >= 3 Then
        CommonDialog1.InitDir = txt_FilePath.Text
    End If
    
    'CommonDialog1.InitDir = "c:\test"
    CommonDialog1.Filter = "All (*.*)|*.*|Text (*.txt)|*.txt"
    CommonDialog1.Flags = &H1000 Or &H800 Or &H4
    
    CommonDialog1.ShowOpen
    
   ' If Not (txt_FilePath.Text Like CommonDialog1.FileName) Then
    txt_FilePath.Text = CommonDialog1.FileName
   ' End If

End Sub

Private Sub bt_Close_Click()

    Unload Me

End Sub

'
'   This method tests the digest API (HashData)
'
'   24/05/04 11:20 NDP - new DLL with VARIANTS

Private Sub bt_Hash_Click()

    Dim CryptoTools As New CryptoHash
    Dim Converter As New Convert
    
    Dim Try
    Dim sAlgorithm As String
    Dim sOutput As String
    
    Me.MousePointer = 11
    
    ' Get Algorithm choice
    For Each Try In op_Algo
        
        If Try.Value = True Then
            
            sAlgorithm = Try.Caption
            Exit For
            
        End If
        
    Next
    
    ' Get the result of the digest for the buffer
    
    Dim HashValue As Variant

    HashValue = CryptoTools.hashDataFile(sAlgorithm, txt_FilePath.Text)

    ' Loads an instance of CryptoHash
    Dim cryHash As New CryptoHash
    
    ' Compute the Hash value of safeapix.dll with MD5 algorithm
    Dim hash As Variant
    hash = cryHash.hashDataFile("MD5", "c:\\windows\\system32\\safeapix.dll")
            
    ' Etc...
    
    Dim boolReturn As Boolean
    boolReturn = CryptoTools.isOperationOK()

    Me.MousePointer = 0
    
    ' Check if operation succeeded
    If Not boolReturn Then
        Dim sError As String
        sError = CryptoTools.getRawError()
        MsgBox sError
        Exit Sub
    End If
        
    ' Print the result in hexa representation
    sOutput = Converter.bytesToHexString(HashValue)
    
    txt_Result.Text = sAlgorithm & " - " & Len(sOutput) * 4 & "bits : " & sOutput


End Sub


