VERSION 5.00
Object = "{F9043C88-F6F2-101A-A3C9-08002B2F49FB}#1.2#0"; "COMDLG32.OCX"
Begin VB.Form SignFileTest 
   BorderStyle     =   1  'Fixed Single
   Caption         =   "Test de signature/vrification de fichier"
   ClientHeight    =   3576
   ClientLeft      =   48
   ClientTop       =   336
   ClientWidth     =   5844
   Icon            =   "SignFileTest.frx":0000
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   3576
   ScaleWidth      =   5844
   StartUpPosition =   3  'Windows Default
   Begin VB.CommandButton bt_Verify 
      Caption         =   "Verify Signature"
      Height          =   375
      Left            =   1920
      TabIndex        =   11
      Top             =   3000
      Width           =   1335
   End
   Begin VB.Frame Frame5 
      Caption         =   "Key ID"
      Height          =   615
      Left            =   120
      TabIndex        =   9
      Top             =   720
      Width           =   3735
      Begin VB.TextBox txt_KeyId 
         Height          =   285
         Left            =   120
         TabIndex        =   10
         Text            =   "user@domain.web_1_RSA"
         Top             =   240
         Width           =   3495
      End
   End
   Begin VB.Frame Frame4 
      Caption         =   "File Signature:"
      Height          =   615
      Left            =   120
      TabIndex        =   7
      Top             =   2160
      Width           =   5655
      Begin VB.TextBox txt_OutputFilePath 
         Height          =   285
         Left            =   120
         TabIndex        =   8
         Text            =   "C:\safelogic\safeapi\exemples\test"
         Top             =   240
         Width           =   4215
      End
   End
   Begin VB.CommandButton bt_Close 
      Caption         =   "Close"
      Height          =   375
      Left            =   4320
      TabIndex        =   6
      Top             =   3000
      Width           =   1335
   End
   Begin VB.CommandButton bt_Sign 
      Caption         =   "Sign"
      Height          =   375
      Left            =   240
      TabIndex        =   5
      Top             =   3000
      Width           =   1335
   End
   Begin VB.Frame Frame2 
      Caption         =   "File to sign:"
      Height          =   615
      Left            =   120
      TabIndex        =   3
      Top             =   1440
      Width           =   5655
      Begin VB.TextBox txt_FilePath 
         Height          =   285
         Left            =   120
         TabIndex        =   12
         Text            =   "C:\safelogic\safeapi\exemples\test"
         Top             =   240
         Width           =   4215
      End
      Begin VB.CommandButton bt_Browse 
         Caption         =   "Get it!"
         Height          =   285
         Left            =   4440
         TabIndex        =   4
         Top             =   240
         Width           =   975
      End
   End
   Begin VB.Frame Frame1 
      Caption         =   "Passphrase"
      Height          =   615
      Left            =   120
      TabIndex        =   0
      Top             =   0
      Width           =   5655
      Begin VB.CheckBox chk_PassphraseEcho 
         Caption         =   "Echo off"
         Height          =   315
         Left            =   3960
         TabIndex        =   2
         Top             =   240
         Value           =   1  'Checked
         Width           =   1575
      End
      Begin VB.TextBox txt_Passphrase 
         Height          =   285
         IMEMode         =   3  'DISABLE
         Left            =   120
         PasswordChar    =   "*"
         TabIndex        =   1
         Text            =   "notre passphrase"
         Top             =   240
         Width           =   3495
      End
   End
   Begin MSComDlg.CommonDialog CommonDialog1 
      Left            =   5400
      Top             =   840
      _ExtentX        =   847
      _ExtentY        =   847
      _Version        =   393216
   End
End
Attribute VB_Name = "SignFileTest"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Private Cipher As New CryptoAsym

Private Sub bt_Browse_Click()

'CommonDialog1.DialogTitle = "Rechercher un fichier"

CommonDialog1.InitDir = "c:\safelogic\safeapi\examples\test"
CommonDialog1.Filter = "All (*.*)|*.*|Text (*.txt)|*.txt"
CommonDialog1.Flags = &H1000 Or &H800 Or &H4

CommonDialog1.ShowOpen

txt_FilePath.Text = CommonDialog1.FileName


bt_Sign.SetFocus

End Sub

Private Sub bt_Close_Click()

    Unload Me


End Sub

Private Sub bt_Sign_Click()

    Me.MousePointer = 11

    Dim Converter As New Convert
   
   'Dim BufferPassphrase As Variant
   'BufferPassphrase = Converter.er_StringToByte(txt_Passphrase.Text)
    
    ' Cipher.SignFile "user@domain.web_1_RSA", "notre passphrase", "c:\temp\test.txt", "c:\temp\test.txt.sig"
    Cipher.signFile txt_KeyId, _
                    txt_Passphrase.Text, _
                    txt_FilePath.Text, _
                    txt_OutputFilePath.Text
    
    Me.MousePointer = 0
    
    If Cipher.isOperationOK() Then
        MsgBox sMode & " OK! :o)"
    Else
        MsgBox sMode & " " & Cipher.getRawError()
    End If
    
    
End Sub

Private Sub bt_Verify_Click()

    Dim bVerifResult    As Boolean

    Me.MousePointer = 11
    
    'bVerifResult = Cipher.VerifyFile("user@domain.web_1_RSA", "c:\temp\test.txt", "c:\temp\test.txt.sig")
    
    bVerifResult = Cipher.verifyFile(txt_KeyId, _
                   txt_FilePath.Text, _
                   txt_OutputFilePath.Text)
    
    Me.MousePointer = 0
    
    If Cipher.isOperationOK() Then
        MsgBox sMode & " OK! :o)"
    Else
        MsgBox sMode & " " & Cipher.getRawError()
        Exit Sub
    End If
    
    If sMode Like "sign" Then Exit Sub
    
    If bVerifResult Then
        MsgBox "File Signature is OK!", vbInformation, " "
    Else
        MsgBox "File Signature is Invalid!", vbExclamation, " "
    End If
    


End Sub

Private Sub chk_PassphraseEcho_Click()

If chk_PassphraseEcho.Value = 1 Then
    
    txt_Passphrase.PasswordChar = "*"
    
Else

    txt_Passphrase.PasswordChar = ""

End If

End Sub

Private Sub txt_FilePath_Change()

    txt_OutputFilePath.Text = txt_FilePath.Text + ".sig"

End Sub

