VERSION 5.00
Begin VB.Form GenKeyPairTest 
   BorderStyle     =   3  'Fixed Dialog
   Caption         =   "RSA Key Pair Generation"
   ClientHeight    =   3132
   ClientLeft      =   48
   ClientTop       =   336
   ClientWidth     =   5928
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   3132
   ScaleWidth      =   5928
   ShowInTaskbar   =   0   'False
   StartUpPosition =   2  'CenterScreen
   Begin VB.CommandButton bt_GenKey 
      Caption         =   "Key Pair Generation"
      Height          =   375
      Left            =   2040
      TabIndex        =   13
      Top             =   2520
      Width           =   1695
   End
   Begin VB.Frame Frame3 
      Caption         =   "Seed"
      Height          =   735
      Left            =   120
      TabIndex        =   11
      Top             =   2280
      Width           =   1695
      Begin VB.CommandButton bt_GenSeed 
         Caption         =   "Seed Generation"
         Height          =   375
         Left            =   120
         TabIndex        =   12
         Top             =   240
         Width           =   1455
      End
   End
   Begin VB.CommandButton bt_Close 
      Caption         =   "Close"
      Height          =   375
      Left            =   3960
      TabIndex        =   10
      Top             =   2520
      Width           =   1695
   End
   Begin VB.Frame Frame4 
      Caption         =   "E-mail"
      Height          =   615
      Left            =   120
      TabIndex        =   8
      Top             =   1560
      Width           =   3735
      Begin VB.TextBox txt_Email 
         Height          =   285
         Left            =   120
         TabIndex        =   9
         Text            =   "user@domain.web"
         Top             =   240
         Width           =   3495
      End
   End
   Begin VB.Frame Frame5 
      Caption         =   "Index"
      Height          =   615
      Left            =   3960
      TabIndex        =   6
      Top             =   1560
      Width           =   1815
      Begin VB.TextBox txt_Index 
         Height          =   285
         Left            =   120
         TabIndex        =   7
         Text            =   "1"
         Top             =   240
         Width           =   1215
      End
   End
   Begin VB.Frame Frame1 
      Caption         =   "Passphrase"
      Height          =   615
      Left            =   120
      TabIndex        =   3
      Top             =   840
      Width           =   5655
      Begin VB.TextBox txt_Passphrase 
         Height          =   285
         IMEMode         =   3  'DISABLE
         Left            =   120
         PasswordChar    =   "*"
         TabIndex        =   5
         Text            =   "notre passphrase"
         Top             =   240
         Width           =   3495
      End
      Begin VB.CheckBox chk_PassphraseEcho 
         Caption         =   "Echo Off"
         Height          =   315
         Left            =   3960
         TabIndex        =   4
         Top             =   240
         Value           =   1  'Checked
         Width           =   1575
      End
   End
   Begin VB.Frame Frame2 
      Caption         =   "Key Length"
      Height          =   615
      Left            =   4080
      MouseIcon       =   "GenKeyPairTest.frx":0000
      TabIndex        =   2
      Top             =   120
      Width           =   1695
      Begin VB.ComboBox lb_KeyLength 
         Height          =   315
         Left            =   120
         TabIndex        =   15
         Top             =   240
         Width           =   1095
      End
      Begin VB.Label Label2 
         Caption         =   "bits"
         Height          =   255
         Left            =   1320
         TabIndex        =   14
         Top             =   300
         Width           =   255
      End
   End
   Begin VB.Frame fr_Algo 
      Caption         =   "Algorithm"
      Height          =   615
      Left            =   120
      TabIndex        =   0
      Top             =   120
      Width           =   3735
      Begin VB.OptionButton op_Algo 
         Caption         =   "RSA"
         Height          =   255
         Left            =   120
         TabIndex        =   1
         Top             =   240
         Width           =   855
      End
   End
End
Attribute VB_Name = "GenKeyPairTest"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Private m_Seed As Variant
Private m_SeedOK As Boolean

Private Sub bt_Close_Click()

    Unload Me

End Sub

'   24/05/04 11:10 NDP - new DLL with VARIANTS

Private Sub bt_GenSeed_Click()

    Dim Seeder As New SeedBox
    Dim Converter As New Convert
    
    Dim sSeed As String

    Seeder.seedDialog "Seed Generation", "Type on your keyboard to generate a seed", 128
    
    If Seeder.seedCanceledByUser() Then
        MsgBox "Seed canceled."
        Exit Sub
    End If
    
    m_Seed = Seeder.getSeedValue
    
    sSeed = Converter.bytesToHexString(m_Seed)
    
    MsgBox "Seed Done." & Chr(10) & Chr(13) & "valeur : " & sSeed & Chr(10) & Chr(13) & "Length: " & Len(sSeed)
    
    m_SeedOK = True
    
End Sub

Private Sub chk_PassphraseEcho_Click()

    If chk_PassphraseEcho.Value = 1 Then
        
        txt_Passphrase.PasswordChar = "*"
        
    Else
    
        txt_Passphrase.PasswordChar = ""
    
    End If

End Sub

Private Sub Form_Load()

    ' seed is not ready
    m_SeedOK = False
    
    lb_KeyLength.AddItem (4096)
    lb_KeyLength.AddItem (3076)
    lb_KeyLength.AddItem (2048)
    lb_KeyLength.AddItem (1024)
    lb_KeyLength.AddItem (512)
    lb_KeyLength.ListIndex = 3

End Sub

Private Sub bt_GenKey_Click()

    Dim KeyGenerator As New CryptoAsym
    Dim Converter As New Convert
    
    Dim sAlgorithm  As String
    Dim lKeyLength  As Long
    Dim sPassphrase As String
        
    sAlgorithm = "RSA"
    
    ' Get KeyLength
    lKeyLength = CLng(lb_KeyLength.Text)
    
    ' Check if Seed is ready
    If Not m_SeedOK Then
        MsgBox "You must generate a seed before being able to launch the generation of the key."
        Exit Sub
    End If
    
    
    'Get Passphrase
    
    sPassphrase = txt_Passphrase.Text
    
    Me.MousePointer = 11
    
    KeyGenerator.genKeyPair sAlgorithm, sPassphrase, lKeyLength, _
                m_Seed, txt_Email.Text, txt_Index.Text
    
    Me.MousePointer = 0
    
    If KeyGenerator.isOperationOK() Then
        MsgBox "RSA Key Pair Generation Successfull!"
    Else
        MsgBox KeyGenerator.getRawError()
    End If


End Sub
