VERSION 5.00
Begin VB.Form GenKeyTest 
   BorderStyle     =   3  'Fixed Dialog
   Caption         =   "Secret Key Generation"
   ClientHeight    =   3096
   ClientLeft      =   1548
   ClientTop       =   3600
   ClientWidth     =   5904
   Icon            =   "GenKeyTest.frx":0000
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   3096
   ScaleWidth      =   5904
   ShowInTaskbar   =   0   'False
   StartUpPosition =   2  'CenterScreen
   Begin VB.Frame Frame5 
      Caption         =   "Index"
      Height          =   615
      Left            =   3960
      TabIndex        =   17
      Top             =   1560
      Width           =   1815
      Begin VB.TextBox txt_Index 
         Height          =   285
         Left            =   120
         TabIndex        =   18
         Text            =   "1"
         Top             =   240
         Width           =   1215
      End
   End
   Begin VB.Frame Frame4 
      Caption         =   "E-mail"
      Height          =   615
      Left            =   120
      TabIndex        =   15
      Top             =   1560
      Width           =   3735
      Begin VB.TextBox txt_Email 
         Height          =   285
         Left            =   120
         TabIndex        =   16
         Text            =   "user@domain.web"
         Top             =   240
         Width           =   3495
      End
   End
   Begin VB.CommandButton bt_Close 
      Caption         =   "Close"
      Height          =   375
      Left            =   3960
      TabIndex        =   13
      Top             =   2520
      Width           =   1695
   End
   Begin VB.Frame Frame3 
      Caption         =   "Seed"
      Height          =   735
      Left            =   120
      TabIndex        =   11
      Top             =   2280
      Width           =   1695
      Begin VB.CommandButton bt_GenSeed 
         Caption         =   "Seed Generation"
         Height          =   375
         Left            =   120
         TabIndex        =   14
         Top             =   240
         Width           =   1455
      End
   End
   Begin VB.CommandButton bt_GenKey 
      Caption         =   "Key Generation"
      Height          =   375
      Left            =   2040
      TabIndex        =   10
      Top             =   2520
      Width           =   1695
   End
   Begin VB.Frame Frame2 
      Caption         =   "Key Length"
      Height          =   615
      Left            =   4080
      MouseIcon       =   "GenKeyTest.frx":0442
      MousePointer    =   12  'No Drop
      TabIndex        =   6
      Top             =   120
      Width           =   1695
      Begin VB.VScrollBar VScroll_KeyLength 
         Height          =   255
         Left            =   840
         Max             =   128
         TabIndex        =   8
         Top             =   240
         Width           =   255
      End
      Begin VB.TextBox txt_KeyLength 
         Alignment       =   1  'Right Justify
         Enabled         =   0   'False
         Height          =   285
         Left            =   120
         TabIndex        =   7
         Text            =   "128"
         Top             =   240
         Width           =   735
      End
      Begin VB.Label Label2 
         Caption         =   "bits"
         Height          =   255
         Left            =   1200
         TabIndex        =   9
         Top             =   290
         Width           =   375
      End
   End
   Begin VB.Frame fr_Algo 
      Caption         =   "Algorithm"
      Height          =   615
      Left            =   120
      TabIndex        =   2
      Top             =   120
      Width           =   3735
      Begin VB.OptionButton op_Algo 
         Caption         =   "IDEA"
         Height          =   255
         Index           =   2
         Left            =   2760
         TabIndex        =   5
         Top             =   240
         Width           =   735
      End
      Begin VB.OptionButton op_Algo 
         Caption         =   "Blowfish"
         Height          =   255
         Index           =   1
         Left            =   1440
         TabIndex        =   4
         Top             =   240
         Value           =   -1  'True
         Width           =   1095
      End
      Begin VB.OptionButton op_Algo 
         Caption         =   "CAST-128"
         Height          =   255
         Index           =   0
         Left            =   120
         TabIndex        =   3
         Top             =   240
         Width           =   1095
      End
   End
   Begin VB.Frame Frame1 
      Caption         =   "Passphrase"
      Height          =   615
      Left            =   120
      TabIndex        =   0
      Top             =   840
      Width           =   5655
      Begin VB.CheckBox chk_PassphraseEcho 
         Caption         =   "Echo Off"
         Height          =   315
         Left            =   3960
         TabIndex        =   12
         Top             =   240
         Value           =   1  'Checked
         Width           =   1575
      End
      Begin VB.TextBox txt_Passphrase 
         Height          =   285
         IMEMode         =   3  'DISABLE
         Left            =   120
         PasswordChar    =   "*"
         TabIndex        =   1
         Text            =   "notre passphrase"
         Top             =   240
         Width           =   3495
      End
   End
End
Attribute VB_Name = "GenKeyTest"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Private m_Seed As Variant
Private m_SeedOK As Boolean

Private Sub bt_Close_Click()

    Unload Me

End Sub

'   24/05/04 11:10 NDP - new DLL with VARIANTS

Private Sub bt_GenKey_Click()

    Dim KeyGenerator As New CryptoSym
    
    Dim sAlgorithm  As String
    Dim lKeyLength  As Long
    Dim sPassphrase As String
    Dim Seed        As Variant
    Dim Converter As New Convert
    
    Dim Try         As Variant
        
    Me.MousePointer = 11
    
    ' Get Algorithm choice
    For Each Try In op_Algo
        
        If Try.Value = True Then
            
            sAlgorithm = Try.Caption
            Exit For
            
        End If
        
    Next
    
    ' Get KeyLength
    lKeyLength = CLng(txt_KeyLength.Text)
    
    ' Check if Seed is ready
    If Not m_SeedOK Then
        MsgBox "You must generate a seed before being able to launch the generation of the key."
        Me.MousePointer = 0
        Exit Sub
    End If
    
    'Get Passphrase
    sPassphrase = txt_Passphrase.Text
    
    'Dim BufferPassphrase As Variant
    'BufferPassphrase = Converter._StringToByte(sPassphrase)
    
    KeyGenerator.genSecretKey sAlgorithm, sPassphrase, lKeyLength, _
        m_Seed, txt_Email.Text, txt_Index.Text
    
    Me.MousePointer = 0
    
    If KeyGenerator.isOperationOK() Then
        MsgBox "Key Generation Successfull!"
    Else
        MsgBox KeyGenerator.getRawError()
        Me.MousePointer = 0
        Exit Sub
    End If

    Dim Cipher As New CryptoSym
    sHexaKey = Cipher.getSecretKey(sAlgorithm, sPassphrase, txt_Email.Text, txt_Index.Text)
    
    MsgBox "Hexadecimal Value of Key: " + sHexaKey

    

End Sub

Private Sub bt_GenSeed_Click()

    Dim Seeder1 As New SeedBox
    Dim Converter As New Convert
    
    Dim sSeed As String
        
    Seeder1.seedDialog "Seed Generation", "Type on your keyboard to generate a seed", 128

    If Seeder1.seedCanceledByUser() Then
        MsgBox "Seed canceled."
        Exit Sub
    End If
    
    m_Seed = Seeder1.getSeedValue
    
    sSeed = Converter.bytesToHexString(m_Seed)
    
    MsgBox "Seed Done." & Chr(10) & Chr(13) & "valeur : " & sSeed & Chr(10) & Chr(13) & "Length: " & Len(sSeed)
    
    m_SeedOK = True

End Sub

Private Sub chk_PassphraseEcho_Click()

    If chk_PassphraseEcho.Value = 1 Then
        txt_Passphrase.PasswordChar = "*"
    Else
        txt_Passphrase.PasswordChar = ""
    End If

End Sub

Private Sub Form_Load()

    ' seed is not ready
    m_SeedOK = False
    
    VScroll_KeyLength.Value = 1
    VScroll_KeyLength.Enabled = False
    
    VScroll_KeyLength.Height = txt_KeyLength.Height
    VScroll_KeyLength.Top = txt_KeyLength.Top
    VScroll_KeyLength.Left = txt_KeyLength.Left + txt_KeyLength.Width

End Sub

Private Sub op_Algo_Click(Index As Integer)

    Exit Sub    ' Direct exit
    
    ' USELESS BECAUSE ONLY ON KEY LENGTH IS ALLOWED : 128
    If op_Algo(1).Value = True Then
    
        VScroll_KeyLength.Enabled = True
        
    Else
    
        VScroll_KeyLength.Enabled = False
        txt_KeyLength = 128
        
    End If


End Sub

Private Sub txt_KeyLength_GotFocus()

    bt_GenKey.SetFocus

End Sub

Private Sub VScroll_KeyLength_Change()

    
    If VScroll_KeyLength.Value = 0 And txt_KeyLength < 448 Then
    
        txt_KeyLength = txt_KeyLength + 8
        
    ElseIf VScroll_KeyLength.Value = 2 And txt_KeyLength > 0 Then
    
        txt_KeyLength = txt_KeyLength - 8
        
    End If
    
    VScroll_KeyLength.Value = 1

End Sub
