VERSION 5.00
Begin VB.Form Main 
   BorderStyle     =   1  'Fixed Single
   Caption         =   "SafeAPI"
   ClientHeight    =   3780
   ClientLeft      =   1545
   ClientTop       =   720
   ClientWidth     =   6345
   Icon            =   "Main.frx":0000
   LinkTopic       =   "Form3"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   3780
   ScaleWidth      =   6345
   Begin VB.Frame Frame5 
      Caption         =   "Directory Encryption"
      Height          =   735
      Left            =   120
      TabIndex        =   17
      Top             =   1440
      Width           =   2295
      Begin VB.CommandButton bt_CryptDirTest 
         Caption         =   "Directory"
         Height          =   375
         Left            =   360
         TabIndex        =   18
         Top             =   240
         Width           =   1335
      End
   End
   Begin VB.CommandButton bt_GenRandFile 
      Caption         =   "Rand File Generation"
      Height          =   375
      Left            =   240
      TabIndex        =   16
      Top             =   3120
      Width           =   1695
   End
   Begin VB.Frame Frame4 
      Caption         =   "Signature"
      Height          =   735
      Left            =   3240
      TabIndex        =   13
      Top             =   2280
      Width           =   3015
      Begin VB.CommandButton bt_SignBufferTestWnd 
         Caption         =   "Buffer"
         Enabled         =   0   'False
         Height          =   375
         Left            =   120
         TabIndex        =   15
         Top             =   240
         Width           =   1335
      End
      Begin VB.CommandButton bt_SignFileTestWnd 
         Caption         =   "File"
         Height          =   375
         Left            =   1560
         TabIndex        =   14
         Top             =   240
         Width           =   1335
      End
   End
   Begin VB.Frame Frame3 
      Caption         =   "Asymmetric Encryption"
      Height          =   1215
      Left            =   120
      TabIndex        =   9
      Top             =   120
      Width           =   3015
      Begin VB.CommandButton bt_AsymCryptFileTestWnd 
         Caption         =   "File"
         Height          =   375
         Left            =   1560
         TabIndex        =   12
         Top             =   720
         Width           =   1335
      End
      Begin VB.CommandButton bt_AsymCryptBufferTestWnd 
         Caption         =   "Buffer"
         Height          =   375
         Left            =   120
         TabIndex        =   11
         Top             =   720
         Width           =   1335
      End
      Begin VB.CommandButton bt_GenKeyPairTestWnd 
         Caption         =   "RSA Key Pair Generation"
         Height          =   375
         Left            =   120
         TabIndex        =   10
         Top             =   240
         Width           =   2775
      End
   End
   Begin VB.Frame Frame2 
      Caption         =   "Symetric Encryption"
      Height          =   1215
      Left            =   3240
      TabIndex        =   5
      Top             =   120
      Width           =   3015
      Begin VB.CommandButton bt_CryptFileTestWnd 
         Caption         =   "File"
         Height          =   375
         Left            =   1560
         TabIndex        =   8
         Top             =   720
         Width           =   1335
      End
      Begin VB.CommandButton bt_CryptTestWnd 
         Caption         =   "Buffer"
         Height          =   375
         Left            =   120
         TabIndex        =   7
         Top             =   720
         Width           =   1335
      End
      Begin VB.CommandButton bt_GenKeyTestWnd 
         Caption         =   "Secret Key Generation"
         Height          =   375
         Left            =   120
         TabIndex        =   6
         Top             =   240
         Width           =   2775
      End
   End
   Begin VB.Frame Frame1 
      Caption         =   "Hash"
      Height          =   735
      Left            =   120
      TabIndex        =   2
      Top             =   2280
      Width           =   3015
      Begin VB.CommandButton bt_FileTestWnd 
         Caption         =   "File"
         Height          =   375
         Left            =   1560
         TabIndex        =   4
         Top             =   240
         Width           =   1335
      End
      Begin VB.CommandButton bt_BufferTestWnd 
         Caption         =   "Buffer"
         Height          =   375
         Left            =   120
         TabIndex        =   3
         Top             =   240
         Width           =   1335
      End
   End
   Begin VB.CommandButton bt_CloseAll 
      Caption         =   "Quit"
      Height          =   375
      Left            =   4800
      TabIndex        =   1
      Top             =   3120
      Width           =   1335
   End
   Begin VB.CommandButton bt_Infos 
      Caption         =   "About..."
      Height          =   375
      Left            =   3360
      TabIndex        =   0
      Top             =   3120
      Width           =   1335
   End
End
Attribute VB_Name = "Main"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Private Sub bt_AsymCryptBufferTestWnd_Click()

    AsymCryptBufferTest.Show vbModal, Me

End Sub

Private Sub bt_AsymCryptFileTestWnd_Click()

    AsymCryptFileTest.Show vbModal, Me

End Sub

Private Sub bt_BufferTestWnd_Click()

    HashBufferTest.Show vbModal, Me

End Sub

Private Sub bt_CloseAll_Click()

    Unload Me
    
End Sub

Private Sub bt_CryptDirTest_Click()

CryptDirTest.Show vbModal, Me

End Sub

Private Sub bt_CryptFileTestWnd_Click()

    CryptFileTest.Show vbModal, Me

End Sub

Private Sub bt_CryptTestWnd_Click()

    CryptBufferTest.Show vbModal, Me

End Sub

Private Sub bt_FileTestWnd_Click()

    HashFileTest.Show vbModal, Me

End Sub

Private Sub bt_GenKeyPairTestWnd_Click()

    GenKeyPairTest.Show vbModal, Me

End Sub

Private Sub bt_GenKeyTestWnd_Click()

    GenKeyTest.Show vbModal, Me
    
End Sub

Private Sub bt_GenRandFile_Click()

    Dim cryHash As New CryptoHash

    cryHash.createSeedFile "Seed File Generation", _
                    "Type on your keyboard to generate random data"
    
    'cryHash.getRandomBytes ("aaaaaaaaaaaaaaaaaaaaaaaaaaaaa")
    
    If cryHash.isOperationOK Then
        MsgBox "Seed File Created!"
    Else
        MsgBox "Error: " & cryHash.getRawError
    
    End If
    
End Sub

Private Sub bt_Infos_Click()

    Infos.Show vbModal, Me


End Sub

Private Sub bt_SignFileTestWnd_Click()

    SignFileTest.Show vbModal, Me

End Sub

Private Sub bt_CryptDirTestWnd_Click()

    CryptDirTest.Show vbModal, Me

End Sub
