// TestSafeApi.h: interface for the CTestSafeApi class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_TESTSAFEAPI_H__EF5479A3_1FCA_4D16_871E_F36AF57BF754__INCLUDED_)
#define AFX_TESTSAFEAPI_H__EF5479A3_1FCA_4D16_871E_F36AF57BF754__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "safeapix.h"

class CTestSafeApi  
{
public:
	CTestSafeApi();
	virtual ~CTestSafeApi();

    IConvert        m_convert;
    ICryptoHash     m_cryptoHash;
    ICryptoSym  	m_safeapi;

    void loadSafeApi(IConvert convert, ICryptoHash cryptoHash, ICryptoSym safeapi);
    void test();
};


class CTestLoop  
{
public:
	CTestLoop();
	virtual ~CTestLoop();

    IConvert        m_convert;
    ICryptoSym      m_safeapi;

    void loadSafeApi(IConvert convert, ICryptoSym safeapi);
    void test();

};

#endif // !defined(AFX_TESTSAFEAPI_H__EF5479A3_1FCA_4D16_871E_F36AF57BF754__INCLUDED_)