// 26/11/99 17:10 NDP - Add Test on file
// 13/12/99 18:00 NDP - lowercase results
// 15/12/99 12:10 NDP - aff filenames
// 14/07/00 17:40 NDP - comments
// 16/09/00 17:50 NDP - new package name

package com.safeapi.test;

import java.io.File;
import com.safeapi.Convert;
import com.safeapi.CryptoHash;

/**
 * This Class is designed to TestCryptDir the hash methods of SafeAPI.
 * 
 */

public class TestHashFile extends TestTimer
{
	// attributes
	
    CryptoHash m_ccaSafeTest ;
	
	/**
	 * main method
	 * 
	 * @param	args	The Strings to hash contained in command line
	 * 
	 */
	
	public static void main(String[] args)
	{
		TestHashFile cctHash = new TestHashFile() ;
		
		System.out.println();
		//System.out.println("You are using : " + cctHash.m_safeapi.getVersion(true)) ;
		
		
		File fIn = new File(args[0]);
		
		if ( !fIn.exists())
		{
			System.out.println(args[0] + " does not exists ! ");
			return;
		}
		
		System.out.println(fIn.toString());
		
		Convert ccvConverter = new Convert() ;
		
		byte []bMD5 = cctHash.m_ccaSafeTest.hashDataFile("MD5", fIn.toString());		
		String sMD5 = ccvConverter.bytesToHexString(bMD5);
		System.out.println("MD5: " + sMD5.toLowerCase());
		
		byte []bSHA = cctHash.m_ccaSafeTest.hashDataFile("SHA", fIn.toString());		
		String sSHA = ccvConverter.bytesToHexString(bSHA);
		System.out.println("SHA: " + sSHA.toLowerCase());	
		
	}

	// constructor
	
	/**
	 * simple constructor
	 */
	
	public TestHashFile()
	{
		super() ;
		m_ccaSafeTest = new CryptoHash() ;		
	}
	
}
