// 27/11/99 13:20 GR - Creation
// 27/22/99 13:20 GR - Add comments
// 16/09/00 17:50 NDP - new package name

package com.safeapi.test;


/**
 * This class is designed as a container for sym FAQ Test.
 * It allows storage for the algorithm references.
 * 
 */

public class TestSymRef //implements Serializable
{
	// attributes
	String m_sAlgo ;
	String m_sRefIn ;
	String m_sRefOut ;
	String m_sKey ;
	String m_sIV ;
	
	
	/** 
	 * only one constructor for this method. It sets the initial values
	 */
	public TestSymRef(String sAlgo,
							String sKey,
							String sIV,
							String sRefIn, 
							String sRefOut)
	{
		m_sAlgo = sAlgo ;
		m_sRefIn = sRefIn ;
		m_sRefOut = sRefOut ;
		
		m_sKey = sKey ;
		m_sIV = sIV ;
	}
	
	/**
	 * get Algorithm
	 */
	
	public String getAlgo()
	{
		return this.m_sAlgo ;
	}
	
	/**
	 * get Reference Input
	 */
	
	public String getRefIn()
	{
		return this.m_sRefIn ;
	}
	
	/**
	 * get Reference Output
	 */
	
	public String getRefOut()
	{
		return this.m_sRefOut ;
	}
	
	/**
	 * get Reference Key
	 */
	
	public String getKey()
	{
		return this.m_sKey ;
	}
	
	/**
	 * get Reference IV
	 */
	
	public String getIV()
	{
		return this.m_sIV ;
	}


}
